var FLAG = require('./flag');

function Response(msg, server) {
    this.msg = msg;
    this._server = server;
}

Response.prototype.send = function (body) {
    if ((this.msg.flag | FLAG.RPC) != FLAG.RPC) {
        return;
    }

    this.msg.flag |= FLAG.RPC_RES;
    this._server.rpcRequest(body, this.msg);
};

module.exports = Response;